Package org.eclipse.gef.requests

# Class LocationRequest

java.lang.Object
org.eclipse.gef.Request
org.eclipse.gef.requests.LocationRequest

Direct Known Subclasses:
  `BendpointRequest`, `DirectEditRequest`, `ReconnectRequest`, `SelectionRequest`

public class LocationRequest extends Request
A Request that needs to keep track of a location.

## Constructor Summary

Constructors
Constructor
Description
`LocationRequest()`
Constructs a LocationRequest with no type.
`LocationRequest(Object type)`
Constructs a LocationRequest with the given type.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.draw2d.geometry.Point`
`getLocation()`
Returns the current location.
`void`
`setLocation(org.eclipse.draw2d.geometry.Point p)`
Sets the current location.

### Methods inherited from class org.eclipse.gef.Request

`getExtendedData, getType, setExtendedData, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LocationRequest

public LocationRequest()
Constructs a LocationRequest with no type.

### LocationRequest

public LocationRequest(Object type)
Constructs a LocationRequest with the given type.

Parameters:
  `type` - the type

## Method Details

### getLocation

public org.eclipse.draw2d.geometry.Point getLocation()
Returns the current location.

Returns:
  The current location

### setLocation

public void setLocation(org.eclipse.draw2d.geometry.Point p)
Sets the current location.

Parameters:
  `p` - The current location.